--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: scantype
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns an array of all the scan types performed, and passes them each to a block if one if given
full_name: Nmap::Parser::Session#scan_types
is_singleton: false
name: scan_types
params: () {|scantype| ...}
visibility: public
